created: 1755103842738
modified: 1755103842738
description: Mappings for Scout driver for Circutor CIRWATT
id: 72ddc53f-9f9b-41eb-a3b5-7d258b7955a0
name: CIRWATT_Scout
manufacturer: Circutor
model: CIRWATT
deviceResources:
- description: Voltage L1 Primary
  name: V_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1842
    ValueType: UINT32
    Length: 2
- description: Voltage L2 Primary
  name: V_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1844
    ValueType: UINT32
    Length: 2
- description: Voltage L3 Primary
  name: V_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1846
    ValueType: UINT32
    Length: 2
- description: Voltage AB
  name: V_AB
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 2576
    ValueType: UINT32
    Length: 2
- description: Voltage BC
  name: V_BC
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 2578
    ValueType: UINT32
    Length: 2
- description: Voltage CA
  name: V_CA
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 2580
    ValueType: UINT32
    Length: 2
- description: Current L1 Primary
  name: I_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1848
    ValueType: UINT32
    Length: 2
- description: Current L2 Primary
  name: I_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1850
    ValueType: UINT32
    Length: 2
- description: Current L3 Primary
  name: I_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1852
    ValueType: UINT32
    Length: 2
- description: Frequency
  name: FREQ
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: Hz
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1860
    ValueType: UINT32
    Length: 2
- description: Cosine Phi L1
  name: DPF_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1854
    ValueType: INT32
    Length: 2
- description: Cosine Phi L2
  name: DPF_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1856
    ValueType: INT32
    Length: 2
- description: Cosine Phi L3
  name: DPF_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1858
    ValueType: INT32
    Length: 2
- description: Cosine Phi Total
  name: DPF_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 2588
    ValueType: INT32
    Length: 2
- description: Active Power L1
  name: P_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1862
    ValueType: INT32
    Length: 2
- description: Active Power L2
  name: P_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1864
    ValueType: INT32
    Length: 2
- description: Active Power L3
  name: P_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1866
    ValueType: INT32
    Length: 2
- description: Active Power Total
  name: P_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1868
    ValueType: INT32
    Length: 2
- description: Reactive Power L1
  name: Q_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1870
    ValueType: INT32
    Length: 2
- description: Reactive Power L2
  name: Q_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1872
    ValueType: INT32
    Length: 2
- description: Reactive Power L3
  name: Q_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1874
    ValueType: INT32
    Length: 2
- description: Reactive Power Total
  name: Q_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: var
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1876
    ValueType: INT32
    Length: 2
- description: Apparent Power L1
  name: S_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1878
    ValueType: UINT32
    Length: 2
- description: Apparent Power L2
  name: S_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1880
    ValueType: UINT32
    Length: 2
- description: Apparent Power L3
  name: S_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1882
    ValueType: UINT32
    Length: 2
- description: Apparent Power Total
  name: S_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '10'
      reviewScale: true
    units:
      type: String
      defaultValue: VA
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1884
    ValueType: UINT32
    Length: 2
- description: Active Energy Import
  name: P_ENERGY_CON_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1000'
      reviewScale: true
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1800
    ValueType: UINT32
    Length: 2
- description: Active Energy Export
  name: P_ENERGY_GEN_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1000'
      reviewScale: true
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1808
    ValueType: UINT32
    Length: 2
- description: Reactive Energy Q1
  name: Q_ENERGY_Q1_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1000'
      reviewScale: true
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1816
    ValueType: UINT32
    Length: 2
- description: Reactive Energy Q2
  name: Q_ENERGY_Q2_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1000'
      reviewScale: true
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1824
    ValueType: UINT32
    Length: 2
- description: Reactive Energy Q3
  name: Q_ENERGY_Q3_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1000'
      reviewScale: true
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1832
    ValueType: UINT32
    Length: 2
- description: Reactive Energy Q4
  name: Q_ENERGY_Q4_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1000'
      reviewScale: true
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1840
    ValueType: UINT32
    Length: 2
resources:
- name: Device0_MeasuresTot
  get:
  - object: DPF_TOT
    parameter: DPF_TOT
  - object: P_TOT
    parameter: P_TOT
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_TOT
    parameter: S_TOT
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
- name: Device0_MeasuresL1
  get:
  - object: V_AN
    parameter: V_AN
  - object: I_AN
    parameter: I_AN
  - object: DPF_AN
    parameter: DPF_AN
  - object: P_AN
    parameter: P_AN
  - object: Q_AN
    parameter: Q_AN
  - object: S_AN
    parameter: S_AN
- name: Device0_MeasuresL2
  get:
  - object: V_BN
    parameter: V_BN
  - object: I_BN
    parameter: I_BN
  - object: DPF_BN
    parameter: DPF_BN
  - object: P_BN
    parameter: P_BN
  - object: Q_BN
    parameter: Q_BN
  - object: S_BN
    parameter: S_BN
- name: Device0_MeasuresL3
  get:
  - object: V_CN
    parameter: V_CN
  - object: I_CN
    parameter: I_CN
  - object: DPF_CN
    parameter: DPF_CN
  - object: P_CN
    parameter: P_CN
  - object: Q_CN
    parameter: Q_CN
  - object: S_CN
    parameter: S_CN
- name: Device0_Measures
  get:
  - object: V_AN
    parameter: V_AN
  - object: V_BN
    parameter: V_BN
  - object: V_CN
    parameter: V_CN
  - object: V_AB
    parameter: V_AB
  - object: V_BC
    parameter: V_BC
  - object: V_CA
    parameter: V_CA
  - object: I_AN
    parameter: I_AN
  - object: I_BN
    parameter: I_BN
  - object: I_CN
    parameter: I_CN
  - object: FREQ
    parameter: FREQ
  - object: DPF_AN
    parameter: DPF_AN
  - object: DPF_BN
    parameter: DPF_BN
  - object: DPF_CN
    parameter: DPF_CN
  - object: DPF_TOT
    parameter: DPF_TOT
  - object: P_AN
    parameter: P_AN
  - object: P_BN
    parameter: P_BN
  - object: P_CN
    parameter: P_CN
  - object: P_TOT
    parameter: P_TOT
  - object: Q_AN
    parameter: Q_AN
  - object: Q_BN
    parameter: Q_BN
  - object: Q_CN
    parameter: Q_CN
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_AN
    parameter: S_AN
  - object: S_BN
    parameter: S_BN
  - object: S_CN
    parameter: S_CN
  - object: S_TOT
    parameter: S_TOT
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
